
QGIS Application - Bug report #18251

Crashed on Creating Mapset

2018-02-27 04:25 PM - Jim O'Leary

Status: Closed

Priority: High

Assignee:

Category: GRASS

Affected QGIS version:3.0.0 Regression?: Yes

Operating System: Windows 7 Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:Yes Copied to github as #: 26142

Description

I created a new mapset in QGIS 3.0. I then entered a new location name and pressed next. Then it crashed.

History

#1 - 2018-02-27 04:25 PM - Jim O'Leary

User Feedback

Made a new GRASS mapset, then entered the name of a new location and pressed Next

Report Details

Crash ID: c4afd548306ca0dab5c7b6031545d2e50847c0db

Stack Trace

RtlUlonglongByteSwap :

setjmp :

QString::fill :

QString::indexOf :

QFileSystemEntry::isRootPath :

RtlFreeHeap :

QGIS Info

QGIS Version: 3.0.0-Girona

QGIS code revision: commit:001c80b0c3

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.3

Running against GDAL: 2.2.3

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

#2 - 2018-02-27 04:29 PM - Giovanni Manghi

- Regression? changed from No to Yes

- Crashes QGIS or corrupts data changed from No to Yes

- Priority changed from Normal to High

#3 - 2018-03-01 03:37 PM - Radim Blazek

To be sure where we are, you select 

Plugins > GRASS > New Mapset,
then you enter Database directory, click Next, 

click Create new location, enter location name and click Next?

I cannot test on Windows so I am guessing form source code. 

It seems to happen when Projection tab is initialized.

Can you try this:

1) open new instance of QGIS - empty, without any project

2) go to Project > Project properties > CRS and select No projection

3) try again to create new mapset

#4 - 2018-03-01 04:16 PM - Giovanni Manghi

- Status changed from Open to Feedback

#5 - 2018-08-25 04:48 PM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Closing for lack of feedback (also tested on master, no crash).
